Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002067Frama-CPlug-in > wppublic2015-01-27 23:082015-03-17 22:18
Reporterthinkmoore 
Assigned Tobobot 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSMac OS XOS VersionYosemite
Product VersionFrama-C Neon-20140301 
Target VersionFrama-C SodiumFixed in VersionFrama-C Sodium 
Summary0002067: Frama-C does not work with versions of Why3 newer than 0.83
DescriptionWhy3 appears to have changed their command line interface with release 0.84, causing Frama-C to issue commands it no longer understands.
Steps To ReproduceInstall Why3 >= 0.84 and attempt to discharge a wp goal using a why3 solver, i.e. -wp-prover z3
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005670)
correnson (manager)
2015-01-28 12:46

We plan to switch to 0.85

- Issue History
Date Modified Username Field Change
2015-01-27 23:08 thinkmoore New Issue
2015-01-27 23:08 thinkmoore Status new => assigned
2015-01-27 23:08 thinkmoore Assigned To => correnson
2015-01-28 12:46 correnson Note Added: 0005670
2015-01-28 12:46 correnson Assigned To correnson => bobot
2015-01-28 12:46 correnson Status assigned => acknowledged
2015-02-27 10:35 bobot Status acknowledged => resolved
2015-02-27 10:35 bobot Resolution open => fixed
2015-02-27 10:35 bobot Target Version => Frama-C Sodium
2015-03-17 22:17 signoles Fixed in Version => Frama-C Sodium
2015-03-17 22:18 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker